namespace skyscraper5.Mhp.Descriptors.InteractionTransportSelectors
{
    public abstract class TransportProtocolSelector
    {
        public ushort ProtocolId { get; }

        protected TransportProtocolSelector(ushort protocolId)
        {
            ProtocolId = protocolId;
        }

        public abstract override int GetHashCode();

        public abstract override bool Equals(object? obj);

    }
}
